Index: eclaireXL_ITX/clkctrl2/synthesis/clkctrl2.debuginfo
===================================================================
--- eclaireXL_ITX/clkctrl2/synthesis/clkctrl2.debuginfo	(nonexistent)
+++ eclaireXL_ITX/clkctrl2/synthesis/clkctrl2.debuginfo	(revision 974)
@@ -0,0 +1,363 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<EnsembleReport name="clkctrl2" kind="system" version="18.0" fabric="QSYS">
+ <!-- Format version 18.0 614 (Future versions may contain additional information.) -->
+ <!-- 2020.02.02.21:08:21 -->
+ <!-- A collection of modules and connections -->
+ <parameter name="clockCrossingAdapter">
+  <type>com.altera.sopcmodel.ensemble.EClockAdapter</type>
+  <value>HANDSHAKE</value>
+  <derived>false</derived>
+  <enabled>true</enabled>
+  <visible>true</visible>
+  <valid>true</valid>
+ </parameter>
+ <parameter name="device">
+  <type>java.lang.String</type>
+  <value>5CEBA4F23C8</value>
+  <derived>false</derived>
+  <enabled>true</enabled>
+  <visible>true</visible>
+  <valid>true</valid>
+ </parameter>
+ <parameter name="deviceFamily">
+  <type>java.lang.String</type>
+  <value>CYCLONEV</value>
+  <derived>false</derived>
+  <enabled>true</enabled>
+  <visible>true</visible>
+  <valid>true</valid>
+ </parameter>
+ <parameter name="deviceSpeedGrade">
+  <type>java.lang.String</type>
+  <value>8</value>
+  <derived>false</derived>
+  <enabled>true</enabled>
+  <visible>false</visible>
+  <valid>true</valid>
+ </parameter>
+ <parameter name="fabricMode">
+  <type>com.altera.sopcmodel.ensemble.Ensemble$EFabricMode</type>
+  <value>QSYS</value>
+  <derived>false</derived>
+  <enabled>true</enabled>
+  <visible>false</visible>
+  <valid>true</valid>
+ </parameter>
+ <parameter name="generateLegacySim">
+  <type>boolean</type>
+  <value>false</value>
+  <derived>false</derived>
+  <enabled>true</enabled>
+  <visible>false</visible>
+  <valid>true</valid>
+ </parameter>
+ <parameter name="generationId">
+  <type>int</type>
+  <value>1580674101</value>
+  <derived>false</derived>
+  <enabled>true</enabled>
+  <visible>true</visible>
+  <valid>true</valid>
+ </parameter>
+ <parameter name="globalResetBus">
+  <type>boolean</type>
+  <value>false</value>
+  <derived>false</derived>
+  <enabled>true</enabled>
+  <visible>false</visible>
+  <valid>true</valid>
+ </parameter>
+ <parameter name="hdlLanguage">
+  <type>com.altera.entityinterfaces.moduleext.IModuleGenerateHDL$HDLLanguage</type>
+  <value>VERILOG</value>
+  <derived>false</derived>
+  <enabled>false</enabled>
+  <visible>false</visible>
+  <valid>true</valid>
+ </parameter>
+ <parameter name="hideFromIPCatalog">
+  <type>boolean</type>
+  <value>true</value>
+  <derived>false</derived>
+  <enabled>true</enabled>
+  <visible>true</visible>
+  <valid>true</valid>
+ </parameter>
+ <parameter name="lockedInterfaceDefinition">
+  <type>com.altera.sopcmodel.definition.BoundaryDefinition</type>
+  <value></value>
+  <derived>false</derived>
+  <enabled>true</enabled>
+  <visible>false</visible>
+  <valid>true</valid>
+ </parameter>
+ <parameter name="maxAdditionalLatency">
+  <type>int</type>
+  <value>1</value>
+  <derived>false</derived>
+  <enabled>true</enabled>
+  <visible>true</visible>
+  <valid>true</valid>
+ </parameter>
+ <parameter name="projectName">
+  <type>java.lang.String</type>
+  <value></value>
+  <derived>false</derived>
+  <enabled>true</enabled>
+  <visible>false</visible>
+  <valid>true</valid>
+ </parameter>
+ <parameter name="sopcBorderPoints">
+  <type>boolean</type>
+  <value>false</value>
+  <derived>false</derived>
+  <enabled>true</enabled>
+  <visible>false</visible>
+  <valid>true</valid>
+ </parameter>
+ <parameter name="systemHash">
+  <type>long</type>
+  <value>0</value>
+  <derived>false</derived>
+  <enabled>true</enabled>
+  <visible>false</visible>
+  <valid>true</valid>
+ </parameter>
+ <parameter name="testBenchDutName">
+  <type>java.lang.String</type>
+  <value></value>
+  <derived>false</derived>
+  <enabled>true</enabled>
+  <visible>false</visible>
+  <valid>true</valid>
+ </parameter>
+ <parameter name="timeStamp">
+  <type>long</type>
+  <value>0</value>
+  <derived>false</derived>
+  <enabled>true</enabled>
+  <visible>false</visible>
+  <valid>true</valid>
+ </parameter>
+ <parameter name="useTestBenchNamingPattern">
+  <type>boolean</type>
+  <value>false</value>
+  <derived>false</derived>
+  <enabled>true</enabled>
+  <visible>false</visible>
+  <valid>true</valid>
+ </parameter>
+ <module
+   name="altclkctrl_0"
+   kind="altclkctrl"
+   version="18.0"
+   path="altclkctrl_0">
+  <!-- Describes a single module. Module parameters are
+the requested settings for a module instance. -->
+  <parameter name="DEVICE_FAMILY">
+   <type>java.lang.String</type>
+   <value>CYCLONEV</value>
+   <derived>false</derived>
+   <enabled>true</enabled>
+   <visible>false</visible>
+   <valid>true</valid>
+   <sysinfo_type>DEVICE_FAMILY</sysinfo_type>
+  </parameter>
+  <parameter name="CLOCK_TYPE">
+   <type>int</type>
+   <value>0</value>
+   <derived>false</derived>
+   <enabled>true</enabled>
+   <visible>true</visible>
+   <valid>true</valid>
+  </parameter>
+  <parameter name="NUMBER_OF_CLOCKS">
+   <type>int</type>
+   <value>4</value>
+   <derived>false</derived>
+   <enabled>true</enabled>
+   <visible>true</visible>
+   <valid>true</valid>
+  </parameter>
+  <parameter name="ENA_REGISTER_MODE">
+   <type>int</type>
+   <value>1</value>
+   <derived>false</derived>
+   <enabled>false</enabled>
+   <visible>true</visible>
+   <valid>true</valid>
+  </parameter>
+  <parameter name="GUI_USE_ENA">
+   <type>boolean</type>
+   <value>false</value>
+   <derived>false</derived>
+   <enabled>true</enabled>
+   <visible>true</visible>
+   <valid>true</valid>
+  </parameter>
+  <parameter name="USE_GLITCH_FREE_SWITCH_OVER_IMPLEMENTATION">
+   <type>boolean</type>
+   <value>false</value>
+   <derived>false</derived>
+   <enabled>true</enabled>
+   <visible>true</visible>
+   <valid>true</valid>
+  </parameter>
+  <parameter name="deviceFamily">
+   <type>java.lang.String</type>
+   <value>UNKNOWN</value>
+   <derived>false</derived>
+   <enabled>true</enabled>
+   <visible>true</visible>
+   <valid>true</valid>
+  </parameter>
+  <parameter name="generateLegacySim">
+   <type>boolean</type>
+   <value>false</value>
+   <derived>false</derived>
+   <enabled>true</enabled>
+   <visible>true</visible>
+   <valid>true</valid>
+  </parameter>
+  <interface name="altclkctrl_input" kind="conduit_end" version="18.0">
+   <!-- The connection points exposed by a module instance for the
+particular module parameters. Connection points and their
+parameters are a RESULT of the module parameters. -->
+   <assignment>
+    <name>ui.blockdiagram.direction</name>
+    <value>input</value>
+   </assignment>
+   <parameter name="associatedClock">
+    <type>java.lang.String</type>
+    <value></value>
+    <derived>false</derived>
+    <enabled>true</enabled>
+    <visible>true</visible>
+    <valid>true</valid>
+   </parameter>
+   <parameter name="associatedReset">
+    <type>java.lang.String</type>
+    <value></value>
+    <derived>false</derived>
+    <enabled>true</enabled>
+    <visible>true</visible>
+    <valid>true</valid>
+   </parameter>
+   <parameter name="deviceFamily">
+    <type>java.lang.String</type>
+    <value>UNKNOWN</value>
+    <derived>false</derived>
+    <enabled>true</enabled>
+    <visible>true</visible>
+    <valid>true</valid>
+   </parameter>
+   <parameter name="generateLegacySim">
+    <type>boolean</type>
+    <value>false</value>
+    <derived>false</derived>
+    <enabled>true</enabled>
+    <visible>true</visible>
+    <valid>true</valid>
+   </parameter>
+   <type>conduit</type>
+   <isStart>false</isStart>
+   <port>
+    <name>inclk3x</name>
+    <direction>Input</direction>
+    <width>1</width>
+    <role>inclk3x</role>
+   </port>
+   <port>
+    <name>inclk2x</name>
+    <direction>Input</direction>
+    <width>1</width>
+    <role>inclk2x</role>
+   </port>
+   <port>
+    <name>inclk1x</name>
+    <direction>Input</direction>
+    <width>1</width>
+    <role>inclk1x</role>
+   </port>
+   <port>
+    <name>inclk0x</name>
+    <direction>Input</direction>
+    <width>1</width>
+    <role>inclk0x</role>
+   </port>
+   <port>
+    <name>clkselect</name>
+    <direction>Input</direction>
+    <width>2</width>
+    <role>clkselect</role>
+   </port>
+  </interface>
+  <interface name="altclkctrl_output" kind="conduit_end" version="18.0">
+   <!-- The connection points exposed by a module instance for the
+particular module parameters. Connection points and their
+parameters are a RESULT of the module parameters. -->
+   <assignment>
+    <name>ui.blockdiagram.direction</name>
+    <value>output</value>
+   </assignment>
+   <parameter name="associatedClock">
+    <type>java.lang.String</type>
+    <value></value>
+    <derived>false</derived>
+    <enabled>true</enabled>
+    <visible>true</visible>
+    <valid>true</valid>
+   </parameter>
+   <parameter name="associatedReset">
+    <type>java.lang.String</type>
+    <value></value>
+    <derived>false</derived>
+    <enabled>true</enabled>
+    <visible>true</visible>
+    <valid>true</valid>
+   </parameter>
+   <parameter name="deviceFamily">
+    <type>java.lang.String</type>
+    <value>UNKNOWN</value>
+    <derived>false</derived>
+    <enabled>true</enabled>
+    <visible>true</visible>
+    <valid>true</valid>
+   </parameter>
+   <parameter name="generateLegacySim">
+    <type>boolean</type>
+    <value>false</value>
+    <derived>false</derived>
+    <enabled>true</enabled>
+    <visible>true</visible>
+    <valid>true</valid>
+   </parameter>
+   <type>conduit</type>
+   <isStart>false</isStart>
+   <port>
+    <name>outclk</name>
+    <direction>Output</direction>
+    <width>1</width>
+    <role>outclk</role>
+   </port>
+  </interface>
+ </module>
+ <plugin>
+  <instanceCount>1</instanceCount>
+  <name>altclkctrl</name>
+  <type>com.altera.entityinterfaces.IElementClass</type>
+  <subtype>com.altera.entityinterfaces.IModule</subtype>
+  <displayName>ALTCLKCTRL Intel FPGA IP</displayName>
+  <version>18.0</version>
+ </plugin>
+ <plugin>
+  <instanceCount>2</instanceCount>
+  <name>conduit_end</name>
+  <type>com.altera.entityinterfaces.IElementClass</type>
+  <subtype>com.altera.entityinterfaces.IMutableConnectionPoint</subtype>
+  <displayName>Conduit</displayName>
+  <version>18.0</version>
+ </plugin>
+ <reportVersion>18.0 614</reportVersion>
+ <uniqueIdentifier>F44D30F4F5CE000001700784B163</uniqueIdentifier>
+</EnsembleReport>
Index: eclaireXL_ITX/clkctrl2/synthesis/clkctrl2.qip
===================================================================
--- eclaireXL_ITX/clkctrl2/synthesis/clkctrl2.qip	(nonexistent)
+++ eclaireXL_ITX/clkctrl2/synthesis/clkctrl2.qip	(revision 974)
@@ -0,0 +1,39 @@
+set_global_assignment -entity "clkctrl2" -library "clkctrl2" -name IP_TOOL_NAME "Qsys"
+set_global_assignment -entity "clkctrl2" -library "clkctrl2" -name IP_TOOL_VERSION "18.0"
+set_global_assignment -entity "clkctrl2" -library "clkctrl2" -name IP_TOOL_ENV "Qsys"
+set_global_assignment -library "clkctrl2" -name SOPCINFO_FILE [file join $::quartus(qip_path) "../../clkctrl2.sopcinfo"]
+set_global_assignment -entity "clkctrl2" -library "clkctrl2" -name SLD_INFO "QSYS_NAME clkctrl2 HAS_SOPCINFO 1 GENERATION_ID 1580674101"
+set_global_assignment -library "clkctrl2" -name MISC_FILE [file join $::quartus(qip_path) "../clkctrl2.cmp"]
+set_global_assignment -library "clkctrl2" -name SLD_FILE [file join $::quartus(qip_path) "clkctrl2.debuginfo"]
+set_global_assignment -entity "clkctrl2" -library "clkctrl2" -name IP_TARGETED_DEVICE_FAMILY "Cyclone V"
+set_global_assignment -entity "clkctrl2" -library "clkctrl2" -name IP_GENERATED_DEVICE_FAMILY "{Cyclone V}"
+set_global_assignment -entity "clkctrl2" -library "clkctrl2" -name IP_QSYS_MODE "STANDALONE"
+set_global_assignment -name SYNTHESIS_ONLY_QIP ON
+set_global_assignment -library "clkctrl2" -name MISC_FILE [file join $::quartus(qip_path) "../../clkctrl2.qsys"]
+set_global_assignment -entity "clkctrl2" -library "clkctrl2" -name IP_COMPONENT_NAME "Y2xrY3RybDI="
+set_global_assignment -entity "clkctrl2" -library "clkctrl2" -name IP_COMPONENT_DISPLAY_NAME "Y2xrY3RybDI="
+set_global_assignment -entity "clkctrl2" -library "clkctrl2" -name IP_COMPONENT_REPORT_HIERARCHY "On"
+set_global_assignment -entity "clkctrl2" -library "clkctrl2" -name IP_COMPONENT_INTERNAL "Off"
+set_global_assignment -entity "clkctrl2" -library "clkctrl2" -name IP_COMPONENT_VERSION "MS4w"
+set_global_assignment -entity "clkctrl2" -library "clkctrl2" -name IP_COMPONENT_PARAMETER "QVVUT19HRU5FUkFUSU9OX0lE::MTU4MDY3NDEwMQ==::QXV0byBHRU5FUkFUSU9OX0lE"
+set_global_assignment -entity "clkctrl2" -library "clkctrl2" -name IP_COMPONENT_PARAMETER "QVVUT19ERVZJQ0VfRkFNSUxZ::Q3ljbG9uZSBW::QXV0byBERVZJQ0VfRkFNSUxZ"
+set_global_assignment -entity "clkctrl2" -library "clkctrl2" -name IP_COMPONENT_PARAMETER "QVVUT19ERVZJQ0U=::NUNFQkE0RjIzQzg=::QXV0byBERVZJQ0U="
+set_global_assignment -entity "clkctrl2" -library "clkctrl2" -name IP_COMPONENT_PARAMETER "QVVUT19ERVZJQ0VfU1BFRURHUkFERQ==::OA==::QXV0byBERVZJQ0VfU1BFRURHUkFERQ=="
+set_global_assignment -entity "clkctrl2_altclkctrl_0" -library "clkctrl2" -name IP_COMPONENT_NAME "Y2xrY3RybDJfYWx0Y2xrY3RybF8w"
+set_global_assignment -entity "clkctrl2_altclkctrl_0" -library "clkctrl2" -name IP_COMPONENT_DISPLAY_NAME "QUxUQ0xLQ1RSTCBJbnRlbCBGUEdBIElQ"
+set_global_assignment -entity "clkctrl2_altclkctrl_0" -library "clkctrl2" -name IP_COMPONENT_REPORT_HIERARCHY "Off"
+set_global_assignment -entity "clkctrl2_altclkctrl_0" -library "clkctrl2" -name IP_COMPONENT_INTERNAL "Off"
+set_global_assignment -entity "clkctrl2_altclkctrl_0" -library "clkctrl2" -name IP_COMPONENT_AUTHOR "SW50ZWwgQ29ycG9yYXRpb24="
+set_global_assignment -entity "clkctrl2_altclkctrl_0" -library "clkctrl2" -name IP_COMPONENT_VERSION "MTguMA=="
+set_global_assignment -entity "clkctrl2_altclkctrl_0" -library "clkctrl2" -name IP_COMPONENT_PARAMETER "REVWSUNFX0ZBTUlMWQ==::Q3ljbG9uZSBW::RGV2aWNlIEZhbWlseQ=="
+set_global_assignment -entity "clkctrl2_altclkctrl_0" -library "clkctrl2" -name IP_COMPONENT_PARAMETER "Q0xPQ0tfVFlQRQ==::MA==::SG93IGRvIHlvdSB3YW50IHRvIHVzZSB0aGUgQUxUQ0xLQ1RSTD8="
+set_global_assignment -entity "clkctrl2_altclkctrl_0" -library "clkctrl2" -name IP_COMPONENT_PARAMETER "TlVNQkVSX09GX0NMT0NLUw==::NA==::SG93IG1hbnkgY2xvY2sgaW5wdXRzIHdvdWxkIHlvdSBsaWtlPw=="
+set_global_assignment -entity "clkctrl2_altclkctrl_0" -library "clkctrl2" -name IP_COMPONENT_PARAMETER "R1VJX1VTRV9FTkE=::ZmFsc2U=::Q3JlYXRlICdlbmEnIHBvcnQgdG8gZW5hYmxlIG9yIGRpc2FibGUgdGhlIGNsb2NrIG5ldHdvcmsgZHJpdmVuIGJ5IHRoaXMgYnVmZmVyPw=="
+set_global_assignment -entity "clkctrl2_altclkctrl_0" -library "clkctrl2" -name IP_COMPONENT_PARAMETER "VVNFX0dMSVRDSF9GUkVFX1NXSVRDSF9PVkVSX0lNUExFTUVOVEFUSU9O::ZmFsc2U=::RW5zdXJlIGdsaXRjaC1mcmVlIHN3aXRjaG92ZXIgaW1wbGVtZW50YXRpb24="
+
+set_global_assignment -library "clkctrl2" -name VHDL_FILE [file join $::quartus(qip_path) "clkctrl2.vhd"]
+set_global_assignment -library "clkctrl2" -name VERILOG_FILE [file join $::quartus(qip_path) "submodules/clkctrl2_altclkctrl_0.v"]
+
+set_global_assignment -entity "clkctrl2_altclkctrl_0" -library "clkctrl2" -name IP_TOOL_NAME "altclkctrl"
+set_global_assignment -entity "clkctrl2_altclkctrl_0" -library "clkctrl2" -name IP_TOOL_VERSION "18.0"
+set_global_assignment -entity "clkctrl2_altclkctrl_0" -library "clkctrl2" -name IP_TOOL_ENV "Qsys"
Index: eclaireXL_ITX/clkctrl2/synthesis/clkctrl2.vhd
===================================================================
--- eclaireXL_ITX/clkctrl2/synthesis/clkctrl2.vhd	(nonexistent)
+++ eclaireXL_ITX/clkctrl2/synthesis/clkctrl2.vhd	(revision 974)
@@ -0,0 +1,44 @@
+-- clkctrl2.vhd
+
+-- Generated using ACDS version 18.0 614
+
+library IEEE;
+use IEEE.std_logic_1164.all;
+use IEEE.numeric_std.all;
+
+entity clkctrl2 is
+	port (
+		inclk3x   : in  std_logic                    := '0';             --  altclkctrl_input.inclk3x
+		inclk2x   : in  std_logic                    := '0';             --                  .inclk2x
+		inclk1x   : in  std_logic                    := '0';             --                  .inclk1x
+		inclk0x   : in  std_logic                    := '0';             --                  .inclk0x
+		clkselect : in  std_logic_vector(1 downto 0) := (others => '0'); --                  .clkselect
+		outclk    : out std_logic                                        -- altclkctrl_output.outclk
+	);
+end entity clkctrl2;
+
+architecture rtl of clkctrl2 is
+	component clkctrl2_altclkctrl_0 is
+		port (
+			inclk3x   : in  std_logic                    := 'X';             -- inclk3x
+			inclk2x   : in  std_logic                    := 'X';             -- inclk2x
+			inclk1x   : in  std_logic                    := 'X';             -- inclk1x
+			inclk0x   : in  std_logic                    := 'X';             -- inclk0x
+			clkselect : in  std_logic_vector(1 downto 0) := (others => 'X'); -- clkselect
+			outclk    : out std_logic                                        -- outclk
+		);
+	end component clkctrl2_altclkctrl_0;
+
+begin
+
+	altclkctrl_0 : component clkctrl2_altclkctrl_0
+		port map (
+			inclk3x   => inclk3x,   --  altclkctrl_input.inclk3x
+			inclk2x   => inclk2x,   --                  .inclk2x
+			inclk1x   => inclk1x,   --                  .inclk1x
+			inclk0x   => inclk0x,   --                  .inclk0x
+			clkselect => clkselect, --                  .clkselect
+			outclk    => outclk     -- altclkctrl_output.outclk
+		);
+
+end architecture rtl; -- of clkctrl2
Index: eclaireXL_ITX/clkctrl2/synthesis/submodules/clkctrl2_altclkctrl_0.v
===================================================================
--- eclaireXL_ITX/clkctrl2/synthesis/submodules/clkctrl2_altclkctrl_0.v	(nonexistent)
+++ eclaireXL_ITX/clkctrl2/synthesis/submodules/clkctrl2_altclkctrl_0.v	(revision 974)
@@ -0,0 +1,135 @@
+//altclkctrl CBX_SINGLE_OUTPUT_FILE="ON" CLOCK_TYPE="AUTO" DEVICE_FAMILY="Cyclone V" USE_GLITCH_FREE_SWITCH_OVER_IMPLEMENTATION="OFF" clkselect ena inclk outclk
+//VERSION_BEGIN 18.0 cbx_altclkbuf 2018:04:18:06:50:44:SJ cbx_cycloneii 2018:04:18:06:50:44:SJ cbx_lpm_add_sub 2018:04:18:06:50:44:SJ cbx_lpm_compare 2018:04:18:06:50:44:SJ cbx_lpm_decode 2018:04:18:06:50:44:SJ cbx_lpm_mux 2018:04:18:06:50:44:SJ cbx_mgl 2018:04:18:07:37:08:SJ cbx_nadder 2018:04:18:06:50:44:SJ cbx_stratix 2018:04:18:06:50:44:SJ cbx_stratixii 2018:04:18:06:50:44:SJ cbx_stratixiii 2018:04:18:06:50:44:SJ cbx_stratixv 2018:04:18:06:50:44:SJ  VERSION_END
+// synthesis VERILOG_INPUT_VERSION VERILOG_2001
+// altera message_off 10463
+
+
+
+// Copyright (C) 2018  Intel Corporation. All rights reserved.
+//  Your use of Intel Corporation's design tools, logic functions 
+//  and other software and tools, and its AMPP partner logic 
+//  functions, and any output files from any of the foregoing 
+//  (including device programming or simulation files), and any 
+//  associated documentation or information are expressly subject 
+//  to the terms and conditions of the Intel Program License 
+//  Subscription Agreement, the Intel Quartus Prime License Agreement,
+//  the Intel FPGA IP License Agreement, or other applicable license
+//  agreement, including, without limitation, that your use is for
+//  the sole purpose of programming logic devices manufactured by
+//  Intel and sold by Intel or its authorized distributors.  Please
+//  refer to the applicable agreement for further details.
+
+
+
+//synthesis_resources = cyclonev_clkena 1 
+//synopsys translate_off
+`timescale 1 ps / 1 ps
+//synopsys translate_on
+module  clkctrl2_altclkctrl_0_sub
+	( 
+	clkselect,
+	ena,
+	inclk,
+	outclk) /* synthesis synthesis_clearbox=1 */;
+	input   [1:0]  clkselect;
+	input   ena;
+	input   [3:0]  inclk;
+	output   outclk;
+`ifndef ALTERA_RESERVED_QIS
+// synopsys translate_off
+`endif
+	tri0   [1:0]  clkselect;
+	tri1   ena;
+	tri0   [3:0]  inclk;
+`ifndef ALTERA_RESERVED_QIS
+// synopsys translate_on
+`endif
+
+	wire  wire_sd2_outclk;
+	wire  wire_sd1_outclk;
+	wire  [1:0]  clkselect_wire;
+	wire  [3:0]  inclk_wire;
+
+	cyclonev_clkselect   sd2
+	( 
+	.clkselect(clkselect_wire),
+	.inclk(inclk_wire),
+	.outclk(wire_sd2_outclk));
+	cyclonev_clkena   sd1
+	( 
+	.ena(ena),
+	.enaout(),
+	.inclk(wire_sd2_outclk),
+	.outclk(wire_sd1_outclk));
+	defparam
+		sd1.clock_type = "Auto",
+		sd1.ena_register_mode = "always enabled",
+		sd1.lpm_type = "cyclonev_clkena";
+	assign
+		clkselect_wire = {clkselect},
+		inclk_wire = {inclk},
+		outclk = wire_sd1_outclk;
+endmodule //clkctrl2_altclkctrl_0_sub
+//VALID FILE // (C) 2001-2018 Intel Corporation. All rights reserved.
+// Your use of Intel Corporation's design tools, logic functions and other 
+// software and tools, and its AMPP partner logic functions, and any output 
+// files from any of the foregoing (including device programming or simulation 
+// files), and any associated documentation or information are expressly subject 
+// to the terms and conditions of the Intel Program License Subscription 
+// Agreement, Intel FPGA IP License Agreement, or other applicable 
+// license agreement, including, without limitation, that your use is for the 
+// sole purpose of programming logic devices manufactured by Intel and sold by 
+// Intel or its authorized distributors.  Please refer to the applicable 
+// agreement for further details.
+
+
+
+// synopsys translate_off
+`timescale 1 ps / 1 ps
+// synopsys translate_on
+module  clkctrl2_altclkctrl_0  (
+    clkselect,
+    inclk0x,
+    inclk1x,
+    inclk2x,
+    inclk3x,
+    outclk);
+
+    input  [1:0]  clkselect;
+    input    inclk0x;
+    input    inclk1x;
+    input    inclk2x;
+    input    inclk3x;
+    output   outclk;
+`ifndef ALTERA_RESERVED_QIS
+// synopsys translate_off
+`endif
+    tri0 [1:0]  clkselect;
+`ifndef ALTERA_RESERVED_QIS
+// synopsys translate_on
+`endif
+
+    wire  sub_wire0;
+    wire  outclk;
+    wire  sub_wire1;
+    wire  sub_wire2;
+    wire [3:0] sub_wire3;
+    wire  sub_wire4;
+    wire  sub_wire5;
+    wire  sub_wire6;
+
+    assign  outclk = sub_wire0;
+    assign  sub_wire1 = 1'h1;
+    assign  sub_wire2 = inclk0x;
+    assign sub_wire3[3:0] = {sub_wire6, sub_wire5, sub_wire4, sub_wire2};
+    assign  sub_wire4 = inclk1x;
+    assign  sub_wire5 = inclk2x;
+    assign  sub_wire6 = inclk3x;
+
+    clkctrl2_altclkctrl_0_sub  clkctrl2_altclkctrl_0_sub_component (
+                .clkselect (clkselect),
+                .ena (sub_wire1),
+                .inclk (sub_wire3),
+                .outclk (sub_wire0));
+
+endmodule
\ No newline at end of file
Index: eclaireXL_ITX/clkctrl2.qsys
===================================================================
--- eclaireXL_ITX/clkctrl2.qsys	(nonexistent)
+++ eclaireXL_ITX/clkctrl2.qsys	(revision 974)
@@ -0,0 +1,76 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<system name="$${FILENAME}">
+ <component
+   name="$${FILENAME}"
+   displayName="$${FILENAME}"
+   version="1.0"
+   description=""
+   tags="INTERNAL_COMPONENT=true"
+   categories="" />
+ <parameter name="bonusData"><![CDATA[bonusData 
+{
+   element altclkctrl_0
+   {
+      datum _sortIndex
+      {
+         value = "0";
+         type = "int";
+      }
+   }
+}
+]]></parameter>
+ <parameter name="clockCrossingAdapter" value="HANDSHAKE" />
+ <parameter name="device" value="5CEBA4F23C8" />
+ <parameter name="deviceFamily" value="Cyclone V" />
+ <parameter name="deviceSpeedGrade" value="8" />
+ <parameter name="fabricMode" value="QSYS" />
+ <parameter name="generateLegacySim" value="false" />
+ <parameter name="generationId" value="0" />
+ <parameter name="globalResetBus" value="false" />
+ <parameter name="hdlLanguage" value="VERILOG" />
+ <parameter name="hideFromIPCatalog" value="true" />
+ <parameter name="lockedInterfaceDefinition" value="" />
+ <parameter name="maxAdditionalLatency" value="1" />
+ <parameter name="projectName" value="" />
+ <parameter name="sopcBorderPoints" value="false" />
+ <parameter name="systemHash" value="0" />
+ <parameter name="testBenchDutName" value="" />
+ <parameter name="timeStamp" value="0" />
+ <parameter name="useTestBenchNamingPattern" value="false" />
+ <instanceScript></instanceScript>
+ <interface
+   name="altclkctrl_input"
+   internal="altclkctrl_0.altclkctrl_input"
+   type="conduit"
+   dir="end">
+  <port name="inclk3x" internal="inclk3x" />
+  <port name="inclk2x" internal="inclk2x" />
+  <port name="inclk1x" internal="inclk1x" />
+  <port name="inclk0x" internal="inclk0x" />
+  <port name="clkselect" internal="clkselect" />
+ </interface>
+ <interface
+   name="altclkctrl_output"
+   internal="altclkctrl_0.altclkctrl_output"
+   type="conduit"
+   dir="end">
+  <port name="outclk" internal="outclk" />
+ </interface>
+ <module
+   name="altclkctrl_0"
+   kind="altclkctrl"
+   version="18.0"
+   enabled="1"
+   autoexport="1">
+  <parameter name="CLOCK_TYPE" value="0" />
+  <parameter name="DEVICE_FAMILY" value="Cyclone V" />
+  <parameter name="ENA_REGISTER_MODE" value="1" />
+  <parameter name="GUI_USE_ENA" value="false" />
+  <parameter name="NUMBER_OF_CLOCKS" value="4" />
+  <parameter name="USE_GLITCH_FREE_SWITCH_OVER_IMPLEMENTATION" value="false" />
+ </module>
+ <interconnectRequirement for="$system" name="qsys_mm.clockCrossingAdapter" value="HANDSHAKE" />
+ <interconnectRequirement for="$system" name="qsys_mm.enableEccProtection" value="FALSE" />
+ <interconnectRequirement for="$system" name="qsys_mm.insertDefaultSlave" value="FALSE" />
+ <interconnectRequirement for="$system" name="qsys_mm.maxAdditionalLatency" value="1" />
+</system>
